Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.jca.system
Class STCActivationSpec

    java.lang.Object
      com.stc.connector.framework.jca.system.STCActivationSpec

All Implemented Interfaces:
  javax.resource.spi.ActivationSpec, STCManagedMaster

public class STCActivationSpec
extends java.lang.Object
implements javax.resource.spi.ActivationSpec, STCManagedMaster

Class implementing the ActivationSpec interface which serves as a marker. An instance of an ActivationSpec must be a JavaBean and must be serializable. This holds the activation configuration information for a message endpoint.

Version:
  $Version$
Author:
  $Author: smarkov $

Constructor Summary
`STCActivationSpec()` Constructor for STCActivationSpec.

Method Summary
`void` | `createMBean(java.lang.String mbeanClassName, java.lang.String mbeanName)` Creates the MBean
`STCPropertiesInfo` | `createPropertiesInfo()` Creates a new STCPropertiesInfo instance for the the ActivationSpec properties from the ActivationSpec configuration model.
`java.lang.String` | `getConfigurationInstance()` Gets the value of the ConfigurationInstance property.
`java.lang.String` | `getConfigurationTemplate()` Gets the value of the ConfigurationTemplate property.
`java.lang.String` | `getEwayActivationSpecClass()` Gets the value of the EwayActivationSpecClass property.
`java.lang.String` | `getEwayActivationSpecDescription()`
`EwayActivationSpec` | `getEwayActivationSpecInstance()` Gets the EwayActivationSpec instance associated with this ActivationSpec instance.
`java.lang.String` | `getEwayActivationSpecMBeanClass()` Gets the value of the EwayASMBeanClass property.
`java.lang.String` | `getEwayActivationSpecMBeanName()` Gets the value of the EwayASMBeanName property.
`java.lang.String` | `getEwayActivationSpecName()`
`java.lang.Object` | `getMBean()` Getter for ActivationSpec's MBean
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()` Gets the ResourceAdapter JavaBean associated with the ActivationSpec instance.
`void` | `setConfigurationInstance(java.lang.String configInstance)` Sets the value of the ConfigurationInstance property.
`void` | `setConfigurationTemplate(java.lang.String configTemplate)` Sets the value of the ConfigurationTemplate property.
`void` | `setEwayActivationSpecClass(java.lang.String className)` Sets the value of the EwayActivationSpecClass property.
`void` | `setEwayActivationSpecDescription(java.lang.String asDescription)`
`void` | `setEwayActivationSpecMBeanClass(java.lang.String className)` Sets the value of the EwayASMBeanClass property.
`void` | `setEwayActivationSpecMBeanName(java.lang.String mbeanName)` Sets the value of the EwayASMBeanName property.
`void` | `setEwayActivationSpecName(java.lang.String asName)`
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)` Associate this ActivationSpec JavaBean with a ResourceAdapter JavaBean.
`void` | `validate()` This method may be called by a deployment tool to validate the overall activation configuration information provided by the endpoint deployer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCActivationSpec

    public STCActivationSpec()
                      throws javax.resource.ResourceException

  Constructor for STCActivationSpec.

Throws:
  `javax.resource.ResourceException` - upon error.

Method Detail

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)
                            throws javax.resource.ResourceException

  Associate this ActivationSpec JavaBean with a ResourceAdapter JavaBean. Note, this method must be called exactly once; that is, the association must not change during the lifetime of this ActivationSpec JavaBean.

  Specified by:
    `setResourceAdapter` in interface `javax.resource.spi.ActivationSpec`
  Parameters:
    `resourceAdapter` - The ResourceAdapter JavaBean.
  Throws:
    `javax.resource.ResourceException` - upon error.

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

  Gets the ResourceAdapter JavaBean associated with the ActivationSpec instance.

  Specified by:
    `getResourceAdapter` in interface `javax.resource.spi.ActivationSpec`
  Returns:
    The ResourceAdapter JavaBean.

### validate

    public void validate()
                  throws javax.resource.spi.InvalidPropertyException

  This method may be called by a deployment tool to validate the overall activation configuration information provided by the endpoint deployer. This helps to catch activation configuration errors earlier on without having to wait until endpoint activation time for configuration validation. The implementation of this self-validation check behavior is optional. The subclass must implement this method to validate configuration property setting and throw an InvalidPropertyException if any property setting is invalid.

  Specified by:
    `validate` in interface `javax.resource.spi.ActivationSpec`
  Throws:
    `javax.resource.spi.InvalidPropertyException` - to indicate invalid configuration property settings.

### createPropertiesInfo

    public STCPropertiesInfo createPropertiesInfo()

  Creates a new STCPropertiesInfo instance for the the ActivationSpec properties from the ActivationSpec configuration model.

  Returns:
    A STCPropertiesInfo instance which holds the properties for the activationspec.

### getEwayActivationSpecInstance

    public EwayActivationSpec getEwayActivationSpecInstance()

  Gets the EwayActivationSpec instance associated with this ActivationSpec instance.

  Returns:
    An instance of EwayActivationSpec associated with this instance of ActivationSpec.

### setEwayActivationSpecClass

    public void setEwayActivationSpecClass(java.lang.String className)
                                    throws java.lang.Exception

  Sets the value of the EwayActivationSpecClass property.

  Parameters:
    `className` - String containing the value to be assigned to EwayActivationSpecClass.
  Throws:
    `java.lang.Exception` - upon error.

### getEwayActivationSpecClass

    public java.lang.String getEwayActivationSpecClass()

  Gets the value of the EwayActivationSpecClass property.

  Returns:
    String containing the value of the EwayActivationSpecClass property.

### getConfigurationTemplate

    public java.lang.String getConfigurationTemplate()

  Gets the value of the ConfigurationTemplate property.

  Returns:
    String containing the value of the ConfigurationTemplate property.

### setConfigurationTemplate

    public void setConfigurationTemplate(java.lang.String configTemplate)
                                  throws java.lang.Exception

  Sets the value of the ConfigurationTemplate property.

  Parameters:
    `configTemplate` - String containing the value to be assigned to ConfigurationTemplate.
  Throws:
    `java.lang.Exception` - upon error.

### getConfigurationInstance

    public java.lang.String getConfigurationInstance()

  Gets the value of the ConfigurationInstance property.

  Returns:
    String containing the value of the ConfigurationInstance property.

### setConfigurationInstance

    public void setConfigurationInstance(java.lang.String configInstance)
                                  throws java.lang.Exception

  Sets the value of the ConfigurationInstance property.

  Parameters:
    `configInstance` - String containing the value to be assigned to ConfigurationInstance.
  Throws:
    `java.lang.Exception` - upon error.

### setEwayActivationSpecMBeanClass

    public void setEwayActivationSpecMBeanClass(java.lang.String className)
                                         throws java.lang.Exception

  Sets the value of the EwayASMBeanClass property.

  Parameters:
    `className` - String containing the value to be assigned to EwayASMBeanClass.
  Throws:
    `java.lang.Exception` - upon error.

### getEwayActivationSpecMBeanClass

    public java.lang.String getEwayActivationSpecMBeanClass()

  Gets the value of the EwayASMBeanClass property.

  Returns:
    String containing the value of the EwayASMBeanClass property.

### setEwayActivationSpecMBeanName

    public void setEwayActivationSpecMBeanName(java.lang.String mbeanName)
                                        throws java.lang.Exception

  Sets the value of the EwayASMBeanName property.

  Throws:
    `java.lang.Exception` - upon error.

### getEwayActivationSpecMBeanName

    public java.lang.String getEwayActivationSpecMBeanName()

  Gets the value of the EwayASMBeanName property.

  Returns:
    String containing the value of the EwayASMBeanName property.

### setEwayActivationSpecName

    public void setEwayActivationSpecName(java.lang.String asName)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getEwayActivationSpecName

    public java.lang.String getEwayActivationSpecName()

### setEwayActivationSpecDescription

    public void setEwayActivationSpecDescription(java.lang.String asDescription)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getEwayActivationSpecDescription

    public java.lang.String getEwayActivationSpecDescription()

### getMBean

    public java.lang.Object getMBean()

  Getter for ActivationSpec's MBean

  Specified by:
    `getMBean` in interface `STCManagedMaster`
  Returns:
    MBean object associated with the activation spec

### createMBean

    public void createMBean(java.lang.String mbeanClassName,
                            java.lang.String mbeanName)
                     throws STCCreateMBeanException

  Creates the MBean

  Specified by:
    `createMBean` in interface `STCManagedMaster`
  Parameters:
    `mbeanClassName` - classname of MBean impl class
    `mbeanName` - name of MBean
  Throws:
    `STCCreateMBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD